#ifndef BISON_GRAMMAR_TAB_H
# define BISON_GRAMMAR_TAB_H

#ifndef YYSTYPE
typedef union
{
   int number;
   ExpressionHandler *expressionHandler;
   Value *value;
   VListHandler *vlist;
   TempList *tlist;
   VarNode *var;
   TempAtom *atom;
   Expression *expression;
   Quantifier *quant;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	NUM	257
# define	ID	258
# define	DataPredID	259
# define	WeightFunID	260
# define	ProgramPredID	261
# define	VariableID	262
# define	ConstantID	263
# define	PRED	264
# define	VAR	265
# define	ABS	266
# define	MOD	267
# define	MIN	268
# define	MAX	269
# define	ARROW	270
# define	COLONMINUS	271
# define	DOUBLEDOT	272
# define	EQUAL	273
# define	NOTEQUAL	274
# define	NOTGREATER	275
# define	NOTLESS	276


extern YYSTYPE yylval;

#endif /* not BISON_GRAMMAR_TAB_H */
